com.holonplatform.vaadin.flow.components.builders

## Interface DateInputBuilder

- All Superinterfaces:
    BaseTemporalInputConfigurator<Date,DateInputBuilder>, ComponentConfigurator<DateInputBuilder>, DateInputConfigurator<DateInputBuilder>, DeferrableLocalizationConfigurator<DateInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,DateInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<DateInputBuilder>, HasEnabledConfigurator<DateInputBuilder>, HasLabelConfigurator<DateInputBuilder>, HasPlaceholderConfigurator<DateInputBuilder>, HasSizeConfigurator<DateInputBuilder>, HasStyleConfigurator<DateInputBuilder>, InputBuilder<Date,ValueHolder.ValueChangeEvent<Date>,Input<Date>,ValidatableInput<Date>,DateInputBuilder,ValidatableDateInputBuilder>, InputConfigurator<Date,ValueHolder.ValueChangeEvent<Date>,DateInputBuilder>, InputValueConfigurator<Date,ValueHolder.ValueChangeEvent<Date>,DateInputBuilder>

      public interface DateInputBuilder
      extends DateInputConfigurator<DateInputBuilder>, InputBuilder<Date,ValueHolder.ValueChangeEvent<Date>,Input<Date>,ValidatableInput<Date>,DateInputBuilder,ValidatableDateInputBuilder>

  `Date` type `Input` components builder.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseTemporalInputConfigurator

      `BaseTemporalInputConfigurator.CalendarLocalization, BaseTemporalInputConfigurator.CalendarLocalizationBuilder<D,C extends BaseTemporalInputConfigurator<D,C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DateInputBuilder` | `create()` Create a new `DateInputBuilder`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DateInputConfigurator

      `timeZone`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.BaseTemporalInputConfigurator

      `initialPosition, locale, localization, localization, max, min, updateLocaleOnAttach, weekNumbersVisible`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

- - ### Method Detail

    - #### create

          static DateInputBuilder create()

      Create a new `DateInputBuilder`.
      Returns:
        A new `DateInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.